#include <unistd.h>
#include <fcntl.h>
#include <stdio.h>
#include <sys/stat.h>


int main()
{
    int fd, i, result;
    char filename[100];
    char dirname[100];

    for (i=0; i<1000; i++)
    {
      sprintf(dirname, "d%d", i);
      sprintf(filename, "d%d/testfile.txt", i);

      result = mkdir(dirname, 0755);
      if (result < 0)
      {
        perror("Mkdir failed\n");
        fprintf(stderr, "Error creating %s\n", dirname);
        return 1;
      }
      //sleep(1);

      fd = open(filename, O_WRONLY|O_CREAT|O_TRUNC, 0444);
      if(fd < 0)
      {
        perror("Open failed\n");
        fprintf(stderr, "Error creating %s\n", filename);
        return 1;
      }
    }

    return 0;
}

